.waku{
    padding:10px;
    margin-bottom:20px;
}


html, body{
    height:100%;
}
.short{
    overflow: hidden; max-height:600px;
}
.ellipsis{
    width:50px;
    text-align:left;
    border-radius: 5px;        /* CSS3草案 */
    -webkit-border-radius: 5px;    /* Safari,Google Chrome用 */
    -moz-border-radius: 5px;   /* Firefox用 */
    padding:0px;
    border:0px #ccc solid;
    font-size:25px;
    cursor: pointer;
}
.ellipsis:hover{
    background-color:#ccc
}
.ellipsis i{
    font-size:30px;
    color:#b0bec5;
}

.inner_link{
    position: relative;
    top: -50px;
    display:block;
}
.inner_link_direct{
    position: relative;
    top: -200px;
    display:block;
}



.message_row{
    margin-bottom:60px;
}

.offset{
    text-align:center;
    margin-bottom:10px;
}

.message{
    background-color:#fff;
    padding:10px;
    margin-bottom:15px;

    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    position:relative;

    word-break : break-all;
}

.message .user_code{
    color:#aaa;
    font-weight:normal;
    font-size:80%;
}
.message .no{
    color:#aaa;
    font-weight:normal;
    font-size:80%;
}

.message .date{
    margin-top:20px;
    font-size:12px;
    color:#aaa;
}

.message .name{
    font-weight:bold;
    margin:5px 0 5px 0px;
}
.message .body{
    /*margin:5px 0 5px 0;*/
    margin:10px 0 10px 0;
}

.message .action{
    position:absolute;
    bottom:6px;
    right:10px;
}
.message .action i{
    font-size:18px;
    color:#fff;
    cursor: pointer;
}
.message .action i.btnReplyRes{
    color:#bbb;
    font-size:20px;
}
.message .menu{
    position:absolute;
    top:8px;
    right:10px;
}
.message .menu i{
    font-size:18px;
    cursor: pointer;
    color:#bbb;
}

.message.reply{
    background-color:#e8e8e8;
    margin-left:20px;
}

.message .tags {
    margin-top:12px;
}
.chips .input.custom-class {
    width:100% !important;
}
.message .tags a{
    text-decoration: none;
}
.message .tag{
    display:inline-block;
    background-color:#e3e3e3;
    padding:3px 8px 3px 8px;
    line-height:15px;
    margin-top:5px;
    margin-right:3px;
    border-radius: 15px;
    font-size:12px;
}


img.thumbnail{
    width:50%;
    max-width:500px;
    min-width:100px;

    max-width:300px;

}

i.btn-icon{
    font-size:30px;
    cursor: pointer;
    margin-left:15px;
    color:#9e9e9e;
    float:right;
}


.cover {
    display: inline-block;
    background-color: #ccc;
    background-position: center center;
    background-repeat: no-repeat;
    width: 60px;
    height: 60px;
    border: 0px solid #ccc;
    background-size: cover;
    border-radius: 10px;
}


.latest_row{
    margin-bottom:20px;
    border-top:1px #eee solid;
    border-right:1px #eee solid;
}

.latest{
    cursor: pointer;
    background-color: #fff;
    border-bottom:1px #eee solid;
    border-left:1px #eee solid;
    padding:0px;
    position:relative;
    height:90px;
}
.latest > a{
    display:block;
    height:100%;
    width:100%;
    color:#000;
    text-decoration: none;
}
.latest:hover{
    background-color:#f9f9f9;
}
.latest .body{
    display: flex;
    align-items: center;
    position:absolute;
    top:50%;
    left:10px;
    transform: translateY(-50%) translateX(0%);
    -webkit-transform: translateY(-50%) translateX(0%);


}

.latest .body > div{
    margin-right:10px;
}
.latest .body > div.tag_img{
    height:60px;
    margin-left:5px;
}
.latest .body > div.tag_name{
    line-height:120%;
    font-size:16px;
    font-weight:normal;
}
.latest .body > div.tag_name .time{
    font-size:12px;
    color:#ccc;
}
.latest div.tag_icon{
    position:absolute;

    top:50%;
    right:10px;
    transform: translateY(-50%) translateX(0%);
    -webkit-transform: translateY(-50%) translateX(0%);

}
